Image::ExifTool::WriteCanonRaw(3)

NAME
Image::ExifTool::WriteCanonRaw.pl - Write Canon RAW (CRW and CR2) information

SYNOPSIS
These routines are autoloaded by Image::ExifTool::CanonRaw.

DESCRIPTION
This file contains routines used by ExifTool to write Canon CRW and CR2 files and metadata.

NOTES
The CRW format is a pleasure to work with. All pointer offsets are relative to the start of the data for each directory. If TIFF/EXIF had implemented pointers in this way, it would be MUCH easier to read and write TIFF/JPEG files, and would lead to far fewer problems with corrupted metadata.

AUTHOR
Copyright 2003-2019, Phil Harvey (phil at owl.phy.queensu.ca)

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

SEE ALSO
Image::ExifTool::CanonRaw(3pm), Image::ExifTool(3pm), <http://owl.phy.queensu.ca/~phil/exiftool/canon_raw.html>